### Method

# Gio Application set_application_id

since: 2.28

#### Declaration [src]

    void
    g_application_set_application_id (
      GApplication* application,
      const gchar* application_id
    )

#### Description [src]

Sets the unique identifier for `application`.

The application id can only be modified if `application` has not yet been registered.

If non-`NULL`, the application id must be valid. See g_application_id_is_valid().

Available since: 2.28

Sets property | `Gio.Application:application-id`

#### Parameters

`application_id`

  Type: `const gchar*`

  The identifier for `application`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.